Menu = Object:extend()

function Menu:new(position, data)
	self.position = position
	self.data = data
	self.selectedIndex = 1
end

function Menu:update(dt)

end

function Menu:getSelectedOption()
	return self.data.options[self.selectedIndex]
end

function Menu:draw()
	local x,y = self.position:unpackFloor()


	for i,v in ipairs(self.data.options) do
		if i == self.selectedIndex then
			love.graphics.setColor(1, 1, 1)
		else
			love.graphics.setColor(0.6, 0.6, 0.7)
		end
		util.oprint(v.name, x, y)
		y = y + 16
	end
end

function Menu:onInputAction(action)
	if action == "up" then
		self.selectedIndex = self.selectedIndex - 1
	elseif action == "down" then
		self.selectedIndex = self.selectedIndex + 1
	elseif action == "fire" then
		self:getSelectedOption().on_confirm()
	end

	if self.selectedIndex <= 0 then
		self.selectedIndex = #self.data.options
	end

	if self.selectedIndex > #self.data.options then
		self.selectedIndex = 1
	end
end

return Menu