PoolTable = Object:extend()

function PoolTable:new(x, y)
    self.sprite = love.graphics.newImage("assets/table.png")
    self.x = x
    self.y = y
    self.w = self.sprite:getWidth()
    self.h = self.sprite:getHeight()

    self.ver_c_w = 10
    self.ver_c_h = 150
    self.hor_c_w = 336
    self.hor_c_h = 10
    
    self.ver_c_left = {}
    self.ver_c_left.body = love.physics.newBody(world, self.x-192, self.y-4) 
    self.ver_c_left.shape = love.physics.newRectangleShape(self.ver_c_w,self.ver_c_h)
    self.ver_c_left.fixture = love.physics.newFixture(self.ver_c_left.body,self.ver_c_left.shape)

    self.ver_c_right = {}
    self.ver_c_right.body = love.physics.newBody(world, self.x+182, self.y-4) 
    self.ver_c_right.shape = love.physics.newRectangleShape(self.ver_c_w,self.ver_c_h)
    self.ver_c_right.fixture = love.physics.newFixture(self.ver_c_right.body,self.ver_c_right.shape)

    self.hor_c_top = {}
    self.hor_c_top.body = love.physics.newBody(world, self.x-4, self.y-100) 
    self.hor_c_top.shape = love.physics.newRectangleShape(self.hor_c_w,self.hor_c_h)
    self.hor_c_top.fixture = love.physics.newFixture(self.hor_c_top.body,self.hor_c_top.shape)

    self.hor_c_bot = {}
    self.hor_c_bot.body = love.physics.newBody(world, self.x-4, self.y+88) 
    self.hor_c_bot.shape = love.physics.newRectangleShape(self.hor_c_w,self.hor_c_h)
    self.hor_c_bot.fixture = love.physics.newFixture(self.hor_c_bot.body,self.hor_c_bot.shape)

    self.holes = {}

    self.holes[1] = Hole(self.x, self.y - 89, 7)
    self.holes[2] = Hole(self.x, self.y + 88, 7)
    self.holes[3] = Hole(self.x - 182, self.y - 89, 7)
    self.holes[4] = Hole(self.x + 182, self.y + 90, 7)
    self.holes[5] = Hole(self.x - 182, self.y + 90, 7)
    self.holes[6] = Hole(self.x + 182, self.y - 90, 7)
end

function PoolTable:update(dt)
 
end

function PoolTable:draw()
    love.graphics.draw(self.sprite,
    self.x,
    self.y,
    0,
	1,
	1,
	self.w/2,
	self.h/2
)
    love.graphics.setColor(1,1,1)

    -- for i in ipairs(self.holes) do
    --     self.holes[i]:draw()
    -- end

end

return PoolTable